Package: org.codehaus.groovy.grails.web.converters.marshaller.json

## [Java] Class DomainClassMarshaller

- org.codehaus.groovy.grails.web.converters.marshaller.json.DomainClassMarshaller

- Object marshaller for domain classes to JSON

  Authors:
    Siegfried Puchbauer
    Graeme Rocher
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassMarshaller (boolean includeVersion, GrailsApplication application)`
    `DomainClassMarshaller (boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
    `protected java.lang.Object` | `extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)`
    `boolean` | `isIncludeVersion()`
    `protected boolean` | `isRenderDomainClassRelations()`
    `void` | `marshalObject(java.lang.Object value, JSON json)`
    `void` | `setIncludeVersion(boolean includeVersion)`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class IncludeExcludePropertyMarshaller` | `excludesProperty, includesProperty, shouldInclude`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DomainClassMarshaller(boolean includeVersion, GrailsApplication application)

    - #### public DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

  - ### Method Detail

    - #### protected void asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)

    - #### protected java.lang.Object extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)

    - #### public boolean isIncludeVersion()

    - #### protected boolean isRenderDomainClassRelations()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public void marshalObject(java.lang.Object value, JSON json)

    - #### public void setIncludeVersion(boolean includeVersion)

    - #### public boolean supports(java.lang.Object object)